We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Export types not showing after manual install

I’m trying to install Aspose.Words for SSRS. The installation works to a point where I get a message:

“Could not properly install or configurea Aspose.Words for Reporting Services on this machine. Please make sure you have Microsoft SQL Server Reporting Services 2005 installed. Alternatively, try installing Aspose.Words for REporting Services manualy as described in the documentation”.

I then follow the manual install, however the dll and config files have already been updated.

The problem is, when I view a report and pull down the export menu, I only have PDF and Excel (all the Aspose.Words ones are missing).

Any idea what to try next?

Carl.

Hi

Thanks for your request. Here few things you can try.

  1. Step through the following manual and check whether all configured correctly.
    https://docs.aspose.com/words/reportingservices/install-aspose-words-for-reporting-services/

  2. Try restarting IIS.

Best regards.

Hi Alexey,

As I said in my original post, I performed the manual install however the DLL and the config files were already updated by the install (despite it failing).

I had forgotten to mention that I tried an iisreset already.

Some more info which may help is that I’m installing on a Small Business Server using Terminal Services. However, the server runs SQL Server 2005 and reporting services appears to be running just fine.

The manual install fails for me at step 5 where I am verifying that it installed correctly (which it hasn’t, as the export types aren’t appearing). The manual install doesn’t suggest what to do if the install fails.

Any other ideas?

Carl.

Hi

Thank you for additional information. Could you please check what edition of MS SQL Server you are using? Maybe you are using SQL Server Express edition which does not support custom rendering extensions.

If so you should install another edition of SQL Server, for example Standard or Enterprise.

Best regards.

Hi,

We are running the Workgroup edition, version 9.00.1399.06 (RTM).

If I understand correctly, it’s the “Extensibility” feature we need for Aspose.Words for SSRS? Is that right? Looks like we’ll need to upgrade to Standard if so.

Not that it’s really your problem, but we did spend some time making sure we purchased the correct version of SQL Server for our project. Aspose.Words for SSRS is the last part, and to find out we need to upgrade SQL Server is disappointing.

There doesn’t seem to be any documentation of system requirements to use Aspose.Words for SSRS. Can I suggest that Aspose at least document the SQL Server requirements during the purchasing process to avoid this situation in the future?

Thanks for your help,

Carl.

Hi Carl,

Thanks for your request. Actually this is restriction of Workgroup and Express editions of SSRS. These editions don’t support custom rendering extensions. You can learn more about this in “SQL Server 2005 Reporting Services Features” section.

I absolutely agree with you that we should provide information about system requirements of Aspose products for reporting service. Thanks for your suggestion; we will add this to our documentation.

Best regards.

Dear Carl,

Thank you for your suggestion and sorry for inconvenience. I will add these requirements to the product’s documentation immediately.